Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 09 May 2021 03:17:04 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have returns before one month and it was taken on April 4th.

So far the money has not been returned in my credit.

I called more than five times and spoke with a lot of staff..Every time  they tell me after 24 hours, the problem will be solved , and still I am waiting.

The order #  8243634696 
I hope you help. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2535773